Subject: 30.0.92; tmm always displays the *Completions* buffer
From: Daniel Mendler <[email-masked]>
To: [email-masked]
Date: Sat, 30 Nov 2024 07:42:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The `tmm-add-prompt' function of tmm.el automatically displays the
*Completions* buffer by calling `minibuffer-completion-help'. If an
alternative minibuffer completion system like Icomplete or Vertico is
used, the *Completions* buffer is not needed since the candidates are
already displayed in the minibuffer. I propose to either detect these
alternative completion systems (e.g., by checking the value of the
completing-read-function and/or the mode variables) or to provide a new
customization variable `tmm-display-completions' which defaults to t but
can be set to nil to disable the call to `minibuffer-completion-help'. I
am happy to provide a patch for either of these approaches.